Package org.mariadb.jdbc.client.socket.impl

## Class SocketUtility

- java.lang.Object
- - org.mariadb.jdbc.client.socket.impl.SocketUtility

    public class SocketUtility
    extends Object

### Constructor Summary

Constructors
`SocketUtility()`

### Method Summary

All Methods Static Methods Concrete Methods
`static SocketHandlerFunction` `getSocketHandler()` Create socket according to options.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SocketUtility

    public SocketUtility()

### Method Detail

#### getSocketHandler

    public static SocketHandlerFunction getSocketHandler()

Create socket according to options. In case of compilation ahead of time, will throw an error if dependencies found, then use default socket implementation.

Returns:
  Socket